.webform-submission-subscribe-form {
  container-type: inline-size;
  container-name: form;
  display: flex;
  flex-direction: column;

  & .webform-confirmation {
    display: flex;
    gap: 16px;
    flex-direction: column;

    @container form (min-width: 480px) {
      align-items: center;
      flex-direction: row;
    }

    & .webform-confirmation__message {
      margin: 0;
      color: var(--text-success);
      height: 100%;
      flex: 1;
      background-color: var(--bg-success);
      font-weight: 500;
      padding: 12px 16px;
      border-radius: 4px;
      min-height: 56px;
      display: inline-flex;
      align-items: center;
      justify-content: center;
    }

    & .webform-confirmation__back {
      margin: 0;
      & a {
        width: 100%;
      }
    }
  }

  & [data-drupal-messages]:has([role="alert"]) {
    display: none;
  }

  & fieldset.email-subscribe-input {
    min-width: 0;
  }

  & fieldset.email-subscribe-input .fieldset-wrapper {
    display: flex;
    flex-direction: column;
    gap: 16px;

    @container form (min-width: 480px) {
      flex-direction: row;
    }
  }

  & .form-item-email {
    flex-grow: 1;
    flex-shrink: 1;
    min-width: 0;
  }

  & .webform-button--submit {
    width: 100%;
    flex-grow: 0;
    flex-shrink: 0;
  }
}


#block-kackaamin-emailsubscriptionblockonfooter {
  display: flex;
  flex-direction: column;
  padding-top: 48px;
  padding-bottom: 48px;
  gap: 24px;

  @media (min-width: 768px) {
    gap: 32px;
    flex-direction: row;
    justify-content: space-between;

    & .field--name-field-cta-title {
      max-width: 500px;
    }
  }

  & .group-form {
    display: flex;
    flex-direction: column;
    gap: 8px;
    flex-grow: 1;

    @media (min-width: 768px) {
      max-width: 600px;
    }

    & .field--name-field-cta-description p {
      font-size: 12px;
      color: var(--text-secondary);

      & a {
        color: var(--link-primary);
      }
    }
  }
}
